Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class OverflowMap.EntrySet

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
com.tangosol.util.AbstractKeyBasedMap.EntrySet
com.tangosol.util.AbstractKeySetBasedMap.EntrySet
com.tangosol.net.cache.OverflowMap.EntrySet`

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  OverflowMap

      public class OverflowMap.EntrySet

extends AbstractKeySetBasedMap.EntrySet

A set of entries backed by this map.

Nested Class Summary
`protected class` | `OverflowMap.EntrySet.EntrySetIterator` A pessimistic Iterator over the EntrySet that is backed by the OverflowMap.

Nested classes/interfaces inherited from class com.tangosol.util.AbstractKeyBasedMap.EntrySet
`AbstractKeyBasedMap.EntrySet.Entry`

Constructor Summary
`OverflowMap.EntrySet()`

Method Summary
`protected java.util.Iterator` | `instantiateIterator()` Factory pattern.

Methods inherited from class com.tangosol.util.AbstractKeySetBasedMap.EntrySet
`toArray, toArray`

Methods inherited from class com.tangosol.util.AbstractKeyBasedMap.EntrySet
`clear, contains, instantiateEntry, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, containsAll, retainAll, toString`

Methods inherited from interface java.util.Set
`add, addAll, containsAll, retainAll`

Constructor Detail

### OverflowMap.EntrySet

    public OverflowMap.EntrySet()

Method Detail

### instantiateIterator

    protected java.util.Iterator instantiateIterator()

  Factory pattern.
  Overrides:
    `instantiateIterator` in class `AbstractKeyBasedMap.EntrySet`
  Returns:
    a new instance of an Iterator over the EntrySet

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.